Oneport Docs
ApiV1WorkspacesSlugPostsPostidComments

/v1/workspaces/{slug}/posts/{postId}/comments

POST
/v1/workspaces/{slug}/posts/{postId}/comments

Path Parameters

slug*string
postId*string

Request Body

application/json

New comment (markdown)

TypeScript Definitions

Use the request body type in TypeScript.

content*string
parentId?string
isPrivate?boolean

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/workspaces/acme/posts/post_01h455vb4pex5vsknk084sn02q/comments" \  -H "Content-Type: application/json" \  -d '{    "content": "string"  }'
{  "id": "string",  "postId": "string",  "parentId": "string",  "content": "string",  "isTeamMember": true,  "isPrivate": true,  "createdAt": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}